Skip to navigation

Get tournaments played by a user

Get all tournaments played by a given user. Tournaments are sorted by reverse chronological order of start date (last played first). Tournaments are streamed as ndjson. The stream is throttled, depending on who is making the request:

  • Anonymous request: 20 tournaments per second
  • OAuth2 authenticated request: 30 tournaments per second
  • Authenticated, downloading your own tournaments: 50 tournaments per second

Authentication

Path parameters

usernamestringRequired
The user whose played tournaments to fetch

Query parameters

nbintegerOptional>=1
Max number of tournaments to fetch
performancebooleanOptional
Include the player performance rating in the response, at some cost for the server.

Response

The list of tournaments played by the user.
tournamentobjectOptional
playerobjectOptional